# Dynamic Energy Budgets

**NOTE: currently not used.**

Persefone's nature module uses Kooijman's Dynamic Energy Budget theory to model energy
flows within individuals.

!["The standard model of the Dynamic Energy Budget theory"](assets/deb.png)

*The standard model of the Dynamic Energy Budget theory. (Fig. 1 from Sousa et al. (2010).)*

- [Sousa et al. (2010)](https://doi.org/10.1098/rstb.2010.0166). Dynamic energy budget theory restores coherence in biology. Philosophical Transactions of the Royal Society B: Biological Sciences, 365(1557), 3413–3428.

- [Kooijman, S. A. L. M. (2009)](https://www.researchgate.net/profile/Edgar-Meza-3/post/Is_there_a_toxicokinetic_model_for_daphnia_magna_or_other_zooplankton/attachment/59d62cf579197b807798b396/AS%3A348547653357569%401460111644286/download/Dynamic+Energy+Budget+theory+-+Kooijman.pdf). Dynamic energy and mass budgets in biological systems (3rd ed). Cambridge University Press.

- [Sibly et al. (2013)](https://doi.org/10.1111/2041-210x.12002). Representing the acquisition and use of energy by individuals in agent-based models of animal populations. Methods in Ecology and Evolution, 4(2), 151–161.


## energy.jl

```@autodocs
Modules = [Persefone]
Pages = ["nature/energy.jl"]
```
